### Enumeration

# Qmi WdsVerboseCallEndReasonPpp

since: 1.0

#### Declaration

    enum Qmi.WdsVerboseCallEndReasonPpp

#### Description [src]

PPP-specific call end reasons, given when the `QmiWdsVerboseCallEndReasonType` is #QMI_WDS_VERBOSE_CALL_END_REASON_TYPE_PPP.

Available since: 1.0

#### Members

`QMI_WDS_VERBOSE_CALL_END_REASON_PPP_UNKNOWN`

  Unknown error.

  - Value: `-1`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_PPP_TIMEOUT`

  Timeout.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_PPP_AUTHENTICATION_FAILURE`

  Authentication failure.

  - Value: `2`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_PPP_OPTION_MISMATCH`

  Option mismatch.

  - Value: `3`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_PPP_PAP_FAILURE`

  PAP failure.

  - Value: `31`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_PPP_CHAP_FAILURE`

  CHAP failure.

  - Value: `32`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_PPP_CLOSE_IN_PROGRESS`

  Close in progress. Since 1.24.10.

  - Value: `33`
  - Available since: 1.0

#### Type functions

###### qmi_wds_verbose_call_end_reason_ppp_get_string

Gets the nickname string for the `QmiWdsVerboseCallEndReasonPpp` specified at `val`.

since: 1.0